namespace WpfCustomMainMethod
{
    using System.Threading;
    using System.Windows;

    public class Program : Application
    {
        [System.STAThreadAttribute()]
        static void Main()
        {
            var app = new Program();
            app.InitializeComponent();
            app.MainWindow = new AppWindow();
            app.Run();
        }

        [System.Diagnostics.DebuggerNonUserCodeAttribute()]
        public void InitializeComponent()
        {
            this.Startup += ProgramStartup;
        }

        void ProgramStartup(object sender, StartupEventArgs e)
        {
            var splash = new Splash {Topmost = true};
            splash.Show();
            Thread.Sleep(4000);
            MainWindow.Show();
            Thread.Sleep(1500);
            splash.Close();
        }
    }
}